package de.intevation.flys.importer;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.flys.model.River;


public class ImportBedHeightSingle
{
    private static Logger log = Logger.getLogger(ImportBedHeightSingle.class);

    protected int year;
    protected int soundingWidth;

    protected String evaluationBy;
    protected String description;

    protected ImportRange          range;
    protected ImportBedHeightType  type;
    protected ImportLocationSystem locationSystem;
    protected ImportElevationModel curElevationModel;
    protected ImportElevationModel oldElevationModel;

    protected List<ImportBedHeightSingleValue> values;


    public ImportBedHeightSingle(String description) {
        this.description = description;
        this.values      = new ArrayList<ImportBedHeightSingleValue>();
    }


    public String getDescription() {
        return description;
    }


    public void setYear(int year) {
        this.year = year;
    }

    public void setSoundingWidth(int soundingWidth) {
        this.soundingWidth = soundingWidth;
    }

    public void setEvaluationBy(String evaluationBy) {
        this.evaluationBy = evaluationBy;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setRange(ImportRange range) {
        this.range = range;
    }

    public void setType(ImportBedHeightType type) {
        this.type = type;
    }

    public void setLocationSystem(ImportLocationSystem locationSystem) {
        this.locationSystem = locationSystem;
    }

    public void setCurElevationModel(ImportElevationModel curElevationModel) {
        this.curElevationModel = curElevationModel;
    }

    public void setOldElevationModel(ImportElevationModel oldElevationModel) {
        this.oldElevationModel = oldElevationModel;
    }

    public void addValue(ImportBedHeightSingleValue value) {
        values.add(value);
    }

    public void storeDependencies(River river) {
        log.info("Store dependencies for single: '" + getDescription() + "'");
        log.error("TODO: IMPLEMENT ME!");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
